--- a/src/configdialog/ConfigDialog.cpp
+++ b/src/configdialog/ConfigDialog.cpp
@@ -40,7 +40,7 @@ QString Amarok2ConfigDialog::s_currentPa
 // PUBLIC
 //////////////////////////////////////////////////////////////////////////////////////////
 
-Amarok2ConfigDialog::Amarok2ConfigDialog( QWidget *parent, const char* name, KConfigSkeleton *config )
+Amarok2ConfigDialog::Amarok2ConfigDialog( QWidget *parent, const char* name, KCoreConfigSkeleton *config )
    : KConfigDialog( parent, name, config )
 {
     DEBUG_BLOCK
--- a/src/configdialog/ConfigDialog.h
+++ b/src/configdialog/ConfigDialog.h
@@ -18,7 +18,7 @@
 #define AMAROK2CONFIGDIALOG_H
 
 #include <KConfigDialog>
-#include <KConfigSkeleton>
+#include <KCoreConfigSkeleton>
 #include <KWindowConfig>
 
 
@@ -32,7 +32,7 @@ class Amarok2ConfigDialog : public KConf
     Q_OBJECT
 
     public:
-        Amarok2ConfigDialog( QWidget *parent, const char* name, KConfigSkeleton *config );
+        Amarok2ConfigDialog( QWidget *parent, const char* name, KCoreConfigSkeleton *config );
         ~Amarok2ConfigDialog() override;
 
         void addPage( ConfigDialogBase *page, const QString &itemName, const QString &pixmapName,
--- a/src/configdialog/dialogs/DatabaseConfig.cpp
+++ b/src/configdialog/dialogs/DatabaseConfig.cpp
@@ -26,7 +26,7 @@
 #include <KCMultiDialog>
 
 
-DatabaseConfig::DatabaseConfig( Amarok2ConfigDialog* parent, KConfigSkeleton *config )
+DatabaseConfig::DatabaseConfig( Amarok2ConfigDialog* parent, KCoreConfigSkeleton *config )
     : ConfigDialogBase( parent )
     , m_configManager( new KConfigDialogManager( this, config ) )
 {
--- a/src/configdialog/dialogs/DatabaseConfig.h
+++ b/src/configdialog/dialogs/DatabaseConfig.h
@@ -22,14 +22,14 @@
 #include "configdialog/ConfigDialogBase.h"
 
 class KConfigDialogManager;
-class KConfigSkeleton;
+class KCoreConfigSkeleton;
 
 class DatabaseConfig : public ConfigDialogBase, public Ui_DatabaseConfig
 {
     Q_OBJECT
 
     public:
-        DatabaseConfig( Amarok2ConfigDialog* parent, KConfigSkeleton *config );
+        DatabaseConfig( Amarok2ConfigDialog* parent, KCoreConfigSkeleton *config );
         ~DatabaseConfig() override;
 
         bool hasChanged() override;
